Package com.xmlmind.domutil

## Class ConsoleHelper

- java.lang.Object
- - com.xmlmind.domutil.ConsoleHelper

- All Implemented Interfaces:
    `Console`
  Direct Known Subclasses:
    `ConsoleHelper2`

      public class ConsoleHelper
      extends Object
      implements Console

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.xmlmind.util.Console

      `Console.MessageType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Console` | `console` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConsoleHelper​(Console console)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `debug​(String message)` |
    `void` | `debug​(Element element, String message)` |
    `void` | `error​(String message)` |
    `void` | `error​(Element element, String message)` |
    `Console.MessageType` | `getVerbosity()` |
    `void` | `info​(String message)` |
    `void` | `info​(Element element, String message)` |
    `boolean` | `isShowing​(Console.MessageType messageType)` |
    `boolean` | `isVerbose()` |
    `static String` | `prependElementLocation​(Element element, String message)` |
    `void` | `setVerbosity​(Console.MessageType verbosity)` |
    `void` | `showMessage​(String message, Console.MessageType messageType)` | Show specified message to user.
    `void` | `verbose​(String message)` |
    `void` | `verbose​(Element element, String message)` |
    `void` | `warning​(String message)` |
    `void` | `warning​(Element element, String message)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### console

          public final Console console

  - ### Constructor Detail

    - #### ConsoleHelper

          public ConsoleHelper​(Console console)

  - ### Method Detail

    - #### setVerbosity

          public void setVerbosity​(Console.MessageType verbosity)

    - #### getVerbosity

          public Console.MessageType getVerbosity()

    - #### isVerbose

          public boolean isVerbose()

    - #### error

          public void error​(String message)

    - #### warning

          public void warning​(String message)

    - #### info

          public void info​(String message)

    - #### verbose

          public void verbose​(String message)

    - #### debug

          public void debug​(String message)

    - #### error

          public void error​(Element element,
                            String message)

    - #### warning

          public void warning​(Element element,
                              String message)

    - #### info

          public void info​(Element element,
                           String message)

    - #### verbose

          public void verbose​(Element element,
                              String message)

    - #### debug

          public void debug​(Element element,
                            String message)

    - #### prependElementLocation

          public static String prependElementLocation​(Element element,
                                                      String message)

    - #### isShowing

          public boolean isShowing​(Console.MessageType messageType)

    - #### showMessage

          public void showMessage​(String message,
                                  Console.MessageType messageType)

      Description copied from interface: `Console`
      Show specified message to user.
      Specified by:
        `showMessage` in interface `Console`
      Parameters:
        `message` - a possibly multi-line message
        `messageType` - type of message: `Console.MessageType.INFO`, `Console.MessageType.WARNING`, `Console.MessageType.ERROR` or `Console.MessageType.DEBUG`.